Bug 868464 - [abrt] python-2.7.3-7.2.fc17: INT_cairo_set_line_width: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: INT_cairo_set_line_width: Process /usr/bin/pyth...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:3f8dddf07c30602af57b1e81c43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 20:51 EDT by Tobias Mueller
Modified: 2013-07-31 19:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (8.21 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: environ (3.68 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: backtrace (61.86 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: maps (87.51 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: dso_list (16.19 KB, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details
File: open_fds (728 bytes, text/plain)
2012-10-19 20:51 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-10-19 20:51:10 EDT
Description of problem:
I have an application, gtg as of 2012-10-20 in this case, in conjunction with liblarch, which crashes.

Based on the stackstrace, I think that the engine is the culprit. I might be totally mistaken though.
But after  "sudo mv /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so  /tmp/" it started.

To reproduce, do
bzr branch lp:gtg trunk
and run ./gtg
it will fetch liblarch.



$ python gtg --no-crash-handler
2012-10-20 02:44:21,797 - WARNING - __init__:__init__:77 - Backend backend_launchpad could not be loaded: No module named launchpadlib.launchpad
2012-10-20 02:44:21,799 - WARNING - __init__:__init__:77 - Backend backend_mantis could not be loaded: No module named suds.client
2012-10-20 02:44:22,151 - ERROR - engine:_load_module:135 - name 'appindicator' is not defined
/home/muelli/hg/gtg.bzr/trunk/GTG/gtk/manager.py:283: Warning: cannot register existing type `GdkWindow'
  gtk.main()
/home/muelli/hg/gtg.bzr/trunk/GTG/gtk/manager.py:283: Warning: g_once_init_leave: assertion `result != 0' failed
  gtk.main()
/home/muelli/hg/gtg.bzr/trunk/GTG/gtk/manager.py:283: GtkWarning: gdk_cairo_create: assertion `GDK_IS_WINDOW (window)' failed
  gtk.main()
Segmentation fault (core dumped)


Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        python gtg --no-crash-handler
crash_function: INT_cairo_set_line_width
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 INT_cairo_set_line_width at cairo.c:1205
: #1 ge_gdk_drawable_to_cairo at ./cairo-support.c:286
: #2 clearlooks_style_draw_box at src/clearlooks_style.c:507
: #3 gtk_toolbar_expose at gtktoolbar.c:874
: #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
: #9 gtk_widget_event_internal at gtkwidget.c:4999
: #10 gtk_widget_send_expose at gtkwidget.c:4828
: #11 gtk_container_propagate_expose at gtkcontainer.c:2757
: #12 gtk_box_forall at gtkbox.c:1251
: #13 gtk_container_expose at gtkcontainer.c:2661
Comment 1 Tobias Mueller 2012-10-19 20:51:14 EDT
Created attachment 630300 [details]
File: core_backtrace
Comment 2 Tobias Mueller 2012-10-19 20:51:16 EDT
Created attachment 630301 [details]
File: environ
Comment 3 Tobias Mueller 2012-10-19 20:51:19 EDT
Created attachment 630302 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-10-19 20:51:20 EDT
Created attachment 630303 [details]
File: limits
Comment 5 Tobias Mueller 2012-10-19 20:51:22 EDT
Created attachment 630304 [details]
File: cgroup
Comment 6 Tobias Mueller 2012-10-19 20:51:25 EDT
Created attachment 630305 [details]
File: maps
Comment 7 Tobias Mueller 2012-10-19 20:51:27 EDT
Created attachment 630306 [details]
File: dso_list
Comment 8 Tobias Mueller 2012-10-19 20:51:29 EDT
Created attachment 630307 [details]
File: open_fds
Comment 9 Fedora End Of Life 2013-07-03 18:13:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 19:56:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.